import java.math.BigInteger;
import java.util.Scanner;

public class FestivaisCerto {

	public static void main(String[] args) {
		Scanner entrada = new Scanner(System.in);
		BigInteger numero;
		BigInteger b4 = new BigInteger("4");
		BigInteger b15 = new BigInteger("15");
		BigInteger b100 = new BigInteger("100");
		BigInteger b400 = new BigInteger("400");
		BigInteger b0 = new BigInteger("0");
		BigInteger b55 = new BigInteger("55");

		boolean isBissexto = false;
		boolean isMatakuku = false;
		boolean isMauiwaui = false;

		while (entrada.hasNext()) {
			numero = entrada.nextBigInteger();

			// Verifica se é Bissexto
			if ((((numero.mod(b4).equals(b0)) && (!numero.mod(b100).equals(b0))) || (numero.mod(b400).equals(b0)))) {
				isBissexto = true;

				// Verifica se é Mauiwaui
				if (numero.mod(b55).equals(b0)) {
					isMauiwaui = true;
				} else {
					isMauiwaui = false;
				}
			} else {
				isBissexto = false;
				isMauiwaui = false;
			}

			// Verifica se é Matakuku
			if (numero.mod(b15).equals(b0)) {
				isMatakuku = true;
			} else {
				isMatakuku = false;
			}

			if (isBissexto) {
				System.out.println("Este e um ano bissexto.");
			}
			
			if (isMatakuku) {
				System.out.println("Este e um ano de festival Matakuku.");
			}

			if (isMauiwaui) {
				System.out.println("Este e um ano de festival Mauiwaui.");
			}

			if (!(isBissexto || isMauiwaui || isMatakuku)) {
				System.out.println("Este e um ano ordinario.");
			}

			if (entrada.hasNext()) {
				System.out.println();
			}

		}

	}

}